Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2226277 - python-pathtools: FTBFS in Fedora rawhide/f39
Summary: python-pathtools: FTBFS in Fedora rawhide/f39
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-pathtools
Version: 39
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Stephen Coady
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F39FTBFS F40FTBFS
TreeView+ depends on / blocked
 
Reported: 2023-07-25 19:37 UTC by Fedora Release Engineering
Modified: 2023-08-31 02:57 UTC (History)
4 users (show)

Fixed In Version: python-pathtools-0.1.2-33.fc39
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-08-31 02:57:46 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2023-07-25 19:37 UTC, Fedora Release Engineering
no flags Details
root.log (deleted)
2023-07-25 19:37 UTC, Fedora Release Engineering
no flags Details
state.log (deleted)
2023-07-25 19:37 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2023-07-25 19:37:27 UTC
python-pathtools failed to build from source in Fedora rawhide/f39

https://koji.fedoraproject.org/koji/taskinfo?taskID=103689202


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild
Please fix python-pathtools at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
python-pathtools will be orphaned. Before branching of Fedora 40,
python-pathtools will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 1 Fedora Release Engineering 2023-07-25 19:37:32 UTC
Created attachment 1979215 [details]
build.log

Comment 2 Fedora Release Engineering 2023-07-25 19:37:36 UTC
Created attachment 1979216 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2023-07-25 19:37:39 UTC
Created attachment 1979217 [details]
state.log

Comment 4 Fedora Release Engineering 2023-08-16 08:02:40 UTC
This bug appears to have been reported against 'rawhide' during the Fedora Linux 39 development cycle.
Changing version to 39.

Comment 5 Adam Williamson 2023-08-26 01:42:08 UTC
This is because it uses imp. I've done a stupid non-upstreamable hack to fix this as I really can't be bothered doing a bigger fix for this fairly dead project. Update coming soon.

Proposing this as a Beta FE because at least one person ran into this on an upgrade test: https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/message/QCDKW4JRVG3PBA7XYC52CGJ4WTSFPMNN/

and it's good to fix upgrade issues during freeze if we can.

Comment 6 Fedora Update System 2023-08-26 01:46:14 UTC
FEDORA-2023-9235b56665 has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-9235b56665

Comment 7 Fedora Update System 2023-08-27 02:07:44 UTC
FEDORA-2023-9235b56665 has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-9235b56665`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-9235b56665

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Adam Williamson 2023-08-28 06:55:59 UTC
Transferred the Beta FE nomination to the FTI bug - https://bugzilla.redhat.com/show_bug.cgi?id=2220399 - to make things clearer.

Comment 9 Fedora Update System 2023-08-31 02:57:46 UTC
FEDORA-2023-9235b56665 has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.